--- CMakeLists.txt.orig	2024-04-11 16:30:24.000000000 -0400
+++ CMakeLists.txt	2024-04-11 16:40:12.000000000 -0400
@@ -58,6 +58,11 @@
 set(DARKTABLE_DATADIR   "${DARKTABLE_BINDIR}/${REL_BIN_TO_DATADIR}") # DATAROOTDIR == DATADIR # darktablerc, themes, icons, ... Cannot use ${CMAKE_BINDIR}/data because not everything resides there. Like icons (pixmaps)
 set(DARKTABLE_LOCALEDIR "${DARKTABLE_BINDIR}/${REL_BIN_TO_LOCALEDIR}")
 
+if (ENABLE_CXX11_COMPAT)
+  message(NOTICE "Enabling Cxx 2011 backward-compatibility, for dependencies")
+  add_compile_options(-D_LIBCPP_ENABLE_CXX17_REMOVED_AUTO_PTR)
+endif()
+
 # https://medium.com/@alasher/colored-c-compiler-output-with-ninja-clang-gcc-10bfe7f2b949
 if(${FORCE_COLORED_OUTPUT})
   if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
--- DefineOptions.cmake.orig	2024-04-11 16:31:59.000000000 -0400
+++ DefineOptions.cmake	2024-04-11 16:34:30.000000000 -0400
@@ -40,6 +40,7 @@
 option(USE_GAME "Build 1st April easter egg game" ON)
 option(FORCE_COLORED_OUTPUT "Always produce ANSI-colored output (GNU/Clang only)." OFF)
 option(USE_SDL2 "Enable SDL2 support" ON)
+option(ENABLE_CXX11_COMPAT "Enable use of deprecated Cxx 2011 features, like std::auto_ptr, for outdated deps" OFF)
 
 if (USE_OPENCL)
     option(TESTBUILD_OPENCL_PROGRAMS "Test-compile OpenCL programs (needs LLVM and Clang 7+)" ON)
